## Remove a file from an item (its uploader with comment rights, or tenant:forge:write and, as a member, at least developer)

`DELETE /api/forge/v1/projects/{key}/items/{number}/attachments/{id}`

Module: Forge · operationId: `deleteForgeItemAttachment` · Tag: Attachments · Auth: access token (`Authorization: Bearer <accessToken>`)

The uploader (with the permission to comment) or who may edit the item. Removes the file from the item; an uploaded file's DMS document that no other item links is deleted once DMS' retention (30 days after upload) ends. Writes `forge.item.attachment_removed`.

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `key` | path | string | yes | Project key (e.g. APP) |
| `number` | path | integer | yes | Item number in the project (12 of APP-12) |
| `id` | path | string (uuid) | yes |  |

### Responses

- **204** Removed
- **403** Error (`application/json`)
- **404** Error (`application/json`)
- **409** Error (`application/json`)

### Example request

```bash
curl -X DELETE 'https://api.mbcom.cloud/api/forge/v1/projects/string/items/1/attachments/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12' \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```
